<?
$DEFINITIONS = Zend_Registry::get('defines');
$ms = '';
$wk = '';

foreach ($DEFINITIONS['month_' . $this->lang()] as $m)
	$ms .= "'" . ucfirst($m) . "', ";

$ms = trim($ms, ", ");

foreach ($DEFINITIONS['week_' . $this->lang()] as $w)
	$wk .= "'" . ucfirst($w) . "', ";

$wk = trim($wk, ", ");
?>

<script type="text/javascript">
	Cubix.PReviews.months = [<?= $ms ?>];
	Cubix.PReviews.days = [<?= $wk ?>];
	Cubix.PReviews.curdate = '<?= date('d m Y') ?>';
</script>

<? $this->headScript()
	->appendFile(_st('reviews-private.js'), 'text/javascript')
	->appendScript('window.addEvent("domready", function () { Cubix.PReviews.initAddForm(); })');
?>

<? $err = $this->errors; ?>

<div id="add-review-form" class="an">
	<form action="" method="post">
		<fieldset>
			<legend><?= __('escort') ?></legend>

			<div class="body">
				<div class="fleft mlr50">
					<div class="inner long">
						<label for="" class="np"><?= __('showname') ?></label>
						<?= $this->showname ?>
					</div>
					<div class="inner long">
						<label for="m_date"><?= __('meeting_date') ?><span class="req">*</span></label>
						<input type="text" id="m_date" name="m_date" value="<?= $this->review->m_date ?>" />
						<? if (strlen($err['m_date'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<? $model = new Cubix_Geography_Countries() ?>
						<label for="country"><?= __('country') ?><span class="req">*</span></label>
						<select id="country" name="country_id" onchange="Geography.loadCities($('city'), this)" class="w200">
							<option value="">- <?= strtolower(__('pv2_label_country')) ?> -&nbsp;&nbsp;</option>
							<? foreach ($model->ajaxGetAll(false) as $country): ?>
								<option value="<?= $country->id ?>" <?= $this->review->country_id == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>
							<? endforeach ?>
						</select>
						<? if (strlen($err['country_id'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<? $model = new Cubix_Geography_Cities() ?>
						<label for="city"><?= __('city') ?><span class="req">*</span></label>
						<select id="city" name="city_id" class="w200">
							<option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
							<? if ( $this->review->country_id ): ?>
								<? foreach ($model->ajaxGetAll(null, $this->review->country_id) as $city): ?>
									<option value="<?= $city->id ?>" <?= $this->review->city_id == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?>&nbsp;&nbsp;</option>
								<? endforeach ?>
							<? endif; ?>
						</select>
						<? if (strlen($err['city_id'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="meeting_place"><?= __('meeting_place') ?><span class="req">*</span></label>
						<select id="meeting_place" name="meeting_place" class="w200">
							<option value="">---</option>
							<? foreach ($DEFINITIONS['meeting_place_options'] as $k => $v): ?>
								<option value="<?= $k ?>" <?= ($this->review->meeting_place == $k) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['meeting_place'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
				</div>
				<div class="fright mlr50">
					<div class="inner long">
						<label for="duration"><?= __('meeting_length') ?><span class="req">*</span></label>
						<input id="duration" type="text" class="w30" name="duration" value="<?= $this->review->duration ?>" />
						<select id="duration_unit" name="duration_unit" class="w150">
							<? foreach ($DEFINITIONS['time_unit_options'] as $k => $v): ?>
								<option value="<?= $k ?>" <?= ($this->review->duration_unit == $k) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['duration']) || strlen($err['duration_unit'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="price"><?= __('meeting_costs') ?><span class="req">*</span></label>
						<input id="price" type="text" class="w30" name="price" value="<?= $this->review->price ?>" />
						<select id="currency" name="currency" class="w150">
							<? foreach (Model_Currencies::getAll() as $currency): ?>
								<option value="<?= $currency->id ?>" <?= ($this->review->currency == $currency->id) ? 'selected="selected"' : '' ?>><?= $currency->title ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['price']) || strlen($err['currency'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="looks_rate"><?= __('rate_her_looks') ?><span class="req">*</span></label>
						<select id="looks_rate" name="looks_rate" class="w200">
							<option value="-1"<?= ($this->review->looks_rate == '-1' || $this->review->looks_rate == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 10; $i += 0.5): ?>
								<option value="<?= $i ?>"<?= ($this->review->looks_rate != '' && $this->review->looks_rate == $i) ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
						<? if (strlen($err['looks_rate'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="services_rate"><?= __('rate_her_services') ?><span class="req">*</span></label>
						<select id="services_rate" name="services_rate" class="w200">
							<option value="-1"<?= ($this->review->services_rate == '-1' || $this->review->services_rate == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 10; $i += 0.5): ?>
								<option value="<?= $i ?>"<?= ($this->review->services_rate != '' && $this->review->services_rate == $i) ? ' selected="selected"' : '' ?>><?= $i ?></option>
							<? endfor; ?>
						</select>
						<? if (strlen($err['services_rate'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
				</div>

				<div class="clear"></div>
			</div>
		</fieldset>

		<fieldset>
			<legend><?= __('services') ?></legend>

			<div class="body">
				<div class="fleft mlr50">
					<div class="inner long">
						<label for="s_kissing"><?= __('kissing') ?><span class="req">*</span></label>
						<select id="s_kissing" name="s_kissing" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['kissing_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_kissing == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_kissing'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_blowjob"><?= __('blowjob') ?><span class="req">*</span></label>
						<select id="s_blowjob" name="s_blowjob" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['blowjob_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_blowjob == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_blowjob'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_cumshot"><?= __('cumshot') ?><span class="req">*</span></label>
						<select id="s_cumshot" name="s_cumshot" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['cumshot_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_cumshot == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_cumshot'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_69">69<span class="req">*</span></label>
						<select id="s_69" name="s_69" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_69 == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_69'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_anal"><?= __('anal') ?><span class="req">*</span></label>
						<select id="s_anal" name="s_anal" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['y_n_na_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_anal == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_anal'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_sex"><?= __('sex') ?><span class="req">*</span></label>
						<select id="s_sex" name="s_sex" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['sex_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_sex'])): ?><span class="error-icon"></span><? endif; ?>
					</div>

				</div>
				<div class="fright mlr50">
					<div class="inner long">
						<label for="s_multiple_times_sex"><?= __('multiple_times_sex') ?><span class="req">*</span></label>
						<select id="s_multiple_times_sex" name="s_multiple_times_sex" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['mts_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_multiple_times_sex == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_multiple_times_sex'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_breast"><?= __('breast') ?><span class="req">*</span></label>
						<select id="s_breast" name="s_breast" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['breast_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_breast == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_breast'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_attitude"><?= __('attitude') ?><span class="req">*</span></label>
						<select id="s_attitude" name="s_attitude" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['attitude_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_attitude == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_attitude'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_conversation"><?= __('conversation') ?><span class="req">*</span></label>
						<select id="s_conversation" name="s_conversation" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['conversation_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_conversation == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_conversation'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_availability"><?= __('availability') ?><span class="req">*</span></label>
						<select id="s_availability" name="s_availability" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['availability_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_availability == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_availability'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="s_photos"><?= __('photos') ?><span class="req">*</span></label>
						<select id="s_photos" name="s_photos" class="w200">
							<option value="">---</option>
							<? foreach ( $DEFINITIONS['photos_options'] as $k => $v ): ?>
								<option value="<?= $k ?>" <?= ( $this->review->s_photos == $k ) ? 'selected="selected"' : '' ?>><?= $v ?>&nbsp;&nbsp;</option>
							<? endforeach; ?>
						</select>
						<? if (strlen($err['s_photos'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
				</div>

				<div class="clear"></div>

				<div class="inner long ml50">
					<label for="services_comments"><?= __('services_comments') ?></label>
					<textarea name="services_comments" id="services_comments"><?= $this->review->services_comments ?></textarea>
					<span class="t-info"><?= __('services_comments_example') ?></span>
				</div>
			</div>
		</fieldset>

		<fieldset>
			<legend><?= __('review') ?></legend>

			<div class="body">
				<div class="inner long ml50">
					<label for="review"><?= __('review') ?></label>
					<textarea name="review" id="review"><?= $this->review->review ?></textarea>
				</div>
			</div>
		</fieldset>

		<fieldset>
			<legend><?= __('get_trusted_review') ?></legend>

			<div class="body">
				<div class="mb20 ml50"><?= __('trusted_review_example') ?></div>
				<div class="fleft mlr50">
					<div class="inner long">
						<label for="t_user_info"><?= __('your_info') ?><span class="req">*</span></label>
						<input id="t_user_info" type="text" class="" name="t_user_info" value="<?= isset($this->review->t_user_info) ? $this->review->t_user_info : $this->username ?>" />
						<? if (strlen($err['t_user_info'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="t_meeting_date"><?= __('meeting_date') ?><span class="req">*</span></label>
						<input id="t_meeting_date" type="text" name="t_meeting_date" value="<?= $this->review->t_meeting_date ?>" />
						<? if (strlen($err['t_meeting_date'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="hrs"><?= __('meeting_time') ?><span class="req">*</span></label>
						<select id="hrs" name="hrs" class="fleft w60">
							<option value="-1"<?= ($this->review->hrs == '-1' || $this->review->hrs == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 23; $i ++): ?>
								<option value="<?= $i ?>"<?= ($this->review->hrs != '' && $this->review->hrs == $i) ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
							<? endfor; ?>
						</select>
						<div class="fleft" style="margin:3px 15px 0 0"><?= __('hour') ?></div>
						<select id="min" name="min" class="fleft w60">
							<option value="-1"<?= ($this->review->min == '-1' || $this->review->min == '') ? ' selected="selected"' : '' ?>>---&nbsp;&nbsp;</option>
							<? for ($i = 0; $i <= 59; $i ++): ?>
								<option value="<?= $i ?>"<?= ($this->review->min != '' && $this->review->min == $i) ? ' selected="selected"' : '' ?>><?= $i ?>&nbsp;&nbsp;</option>
							<? endfor; ?>
						</select>
						<div class="fleft" style="margin:3px 15px 0 0"><?= __('minute') ?></div>
						<? if (strlen($err['hrs']) || strlen($err['min'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
				</div>
				<div class="fright mlr50">
					<div class="inner long">
						<label for="t_meeting_duration"><?= __('meeting_duration') ?><span class="req">*</span></label>
						<input id="t_meeting_duration" type="text" name="t_meeting_duration" value="<?= $this->review->t_meeting_duration ?>" />
						<? if (strlen($err['t_meeting_duration'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
					<div class="inner long">
						<label for="t_meeting_place"><?= __('meeting_place') ?><span class="req">*</span></label>
						<input id="t_meeting_place" type="text" name="t_meeting_place" value="<?= $this->review->t_meeting_place ?>" />
						<? if (strlen($err['t_meeting_place'])): ?><span class="error-icon"></span><? endif; ?>
					</div>
				</div>

				<div class="clear"></div>

				<div class="inner long ml50">
					<label for="t_comments"><?= __('comments') ?><span class="req">*</span></label>
					<textarea name="t_comments" id="t_comments"><?= $this->review->t_comments ?></textarea>
					<? if (strlen($err['t_comments'])): ?><span class="error-icon" style="margin-bottom: 50px !important;"></span><? endif; ?>
					<div class="t-info">(<?= __('pv2_section_additional_information') ?>)</div>
				</div>
			</div>
		</fieldset>
		<fieldset>
			<div class="body">
				<div class="inner long ml50">
					<label for="t_comments"><?= __('secure_text') ?><span class="req">*</span></label>
					<div class="recaptcha-box fleft">
						<span class="fleft mr10"><img class="recaptcha-image" src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
						<a class="recaptcha-refresh" href=""></a>
					</div>
					<input id="captcha" type="text" name="captcha" class="w60 ml20" />
					<? if (strlen($err['captcha'])): ?><span class="error-icon"></span><? endif; ?>
				</div>
				<div class="inner">
					<button type="submit" name="save" class="save an"><?= __('save') ?></button>
					<button type="reset" name="reset" class="reset an"><?= __('reset') ?></button>
				</div>
			</div>
		</fieldset>
	</form>
</div>